"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getResources = void 0;
const fs_1 = __importDefault(require("fs"));
const util_1 = __importDefault(require("util"));
const match_files_1 = require("./match-files");
const resolve_import_url_1 = require("./resolve-import-url");
exports.getResources = async (ctx, options) => {
    const { resolveUrl } = options;
    const files = await match_files_1.matchFiles(ctx, options);
    files.forEach(file => ctx.dependency(file));
    const resources = await Promise.all(files.map(async (file) => {
        const content = await util_1.default.promisify(fs_1.default.readFile)(file, 'utf8');
        const resource = { file, content };
        return resolveUrl ? resolve_import_url_1.resolveImportUrl(ctx, resource) : resource;
    }));
    return resources;
};
//# sourceMappingURL=get-resources.js.map