"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadResources = void 0;
const get_resources_1 = require("./get-resources");
const inject_resources_1 = require("./inject-resources");
const normalize_options_1 = require("./normalize-options");
exports.loadResources = async (ctx, source, callback) => {
    try {
        const options = normalize_options_1.normalizeOptions(ctx);
        const resources = await get_resources_1.getResources(ctx, options);
        const content = await inject_resources_1.injectResources(options, source, resources);
        callback(null, content);
    }
    catch (err) {
        callback(err);
    }
};
//# sourceMappingURL=load-resources.js.map